<p align="center"><a href="https://themexproject.com/"><img src="https://github.com/karstenbiedermann/themex-project/assets/114942316/97322e88-7ba0-4af8-883b-dacb8e5b288a">
 </a></p>

## Introducing Themex

Your bridge from visual design to fully functional code. With Themex, you can directly translate your project's layout into code right in the browser, setting a solid foundation for your web development. Themex is equipped with all the necessary JavaScript functionalities for implementing plain **HTML** components, providing a robust foundation for web development. For those working with **React** or **Vue.js**, Themex offers prepared code structures on component pages, ready for you to use and customize.

## How it works?

👉 https://app.themexproject.com/

In Themex, CSS variables serve as powerful helpers, enabling a more nuanced and flexible approach to styling. By leveraging these variables, developers can create a system of modular and component-specific classes that offer the same level of reusability as global modifiers but with much greater adaptability. This approach allows for individual properties to be adjusted without the need for cumbersome overrides or the risk of cascading style conflicts.

```shell
npm i the-themex-project
```

## How to include the css

To unlock the full potential of Themex, it is recommended to directly reference the CSS files. This approach allows developers to efficiently integrate Themex predefined style templates into their projects while retaining the flexibility to make necessary adjustments. Creating separate CSS files for further development is a recommended approach to enhance your project. This strategy not only offers the flexibility to customize your theme beyond the default Themex styles but also simplifies maintenance and scalability.
